## org.eclipse.papyrus.emf.facet.efacet.sdk.ui.internal.exported.widget
Interface IDerivedTypedElementWidget

All Superinterfaces:
  IENamedElementWidget<Facet,<any>>, IETypedElementWidget<Facet,<any>>

All Known Subinterfaces:
  IEStructuralFeatureWidget

    public interface IDerivedTypedElementWidget

extends IETypedElementWidget<Facet,<any>>

Method Summary
`Query` `getQuery()`
`java.lang.String` `getQueryText()`
`boolean` `isQueryEnable()`
`<any>` `selectQueryType(java.lang.String queryName)` Select the query with the name in parameter.
`void` `setQuery(Query value)`

Methods inherited from interface org.eclipse.papyrus.emf.facet.efacet.sdk.ui.internal.exported.widget.IETypedElementWidget
`getElementTypeName, getEType, getLowerBound, getUpperBound, isOrdered, isUnique, pressTypeButton, setEType, setLowerBound, setOrdered, setUnique, setUpperBound`

Methods inherited from interface org.eclipse.papyrus.emf.facet.efacet.sdk.ui.internal.exported.widget.IENamedElementWidget
`getContainer, getElementName, pressParentButton, setName`

Method Detail

### getQuery

    Query getQuery()

### setQuery

    void setQuery(Query value)

### selectQueryType

    <any> selectQueryType(java.lang.String queryName)

  Select the query with the name in parameter.

  Parameters:
    `queryName` - the name of the query to select.

### isQueryEnable

    boolean isQueryEnable()

  Returns:
    true if the query is enable.

### getQueryText

    java.lang.String getQueryText()

  Returns:
    the text displayed with the query.